/**************************************************************
 *  Systemy Mikroprocesorowe w Sterowaniu,  WEiTI PW 					*
 *  STM3210E-EVAL:PROJEKT31 MultiTasking											*
 *																									Task1			*
 **************************************************************/
#include "stm32f10x.h"
 
// zmienne globalne -------------------------------------------
extern unsigned int counter_task1;
extern float voltage;

// TASK-1 -----------------------------------------------------
void my_task_1(unsigned int *data){
	volatile unsigned int i;
	unsigned int varTask;
	unsigned int ADC1_DR;			// wartosc binarna odczytana z ADC
	
	varTask = *data;
	while(1){
		GPIO_SetBits(GPIOF, GPIO_Pin_8);	// zapal LED czerwony
		counter_task1 += varTask;
		ADC1_DR = ADC_GetConversionValue(ADC1);	// wartosc binarna odczytana z ADC
		ADC_SoftwareStartConvCmd(ADC1, ENABLE); // rozpocznij przetwarzanie ADC
		voltage = ADC1_DR * 0.0008059;					// oblicz napiecie analogowe
		for(i=0; i<1000000; i++);
		GPIO_ResetBits(GPIOF, GPIO_Pin_8);
		ADC1_DR = ADC_GetConversionValue(ADC1);	// wartosc binarna odczytana z ADC
		ADC_SoftwareStartConvCmd(ADC1, ENABLE); // rozpocznij przetwarzanie ADC
		voltage = ADC1_DR * 0.0008059;					// oblicz napiecie analogowe
		for(i=0; i<1000000; i++);
	}
}
/*** (C) COPYRIGHT 2016 PLUMicroelectronics *** END OF FILE ***/


